EZ5 1.90 open beta 9 and EZ5i core update

Discussion in 'GBAtemp & Scene News' started by FAST6191, Mar 11, 2009.

  1. FAST6191
    OP

    FAST6191 Techromancer

    pip Reporter
    23,733
    9,604
    Nov 21, 2005
    United Kingdom
    EZ5 1.90 open beta 9 and EZ5i core update
    Major update
    After an aborted release last week the EZTeam have released 1.90 beta 9 of the EZ5 (all versions) loader.

    [​IMG]

    This version features an updated savesate/instant save (early word is compatibility is greatly improved), a fix for some problems with in game reset and anti piracy code as well as fix for the European release of Dragon quest 5. Remember EZ5i users need to use the 1.90 open beta 6 or higher.

    The resetsp.bin (available for users of earlier firmwares as a separate download below) was also updated, note for those users who managed to grab the original open beta 9 Shining Force Feather was fixed properly (later levels problem) with another update so be sure to have this version.
    resetsp.bin changelog
    As usual simply replace the old version found in the \moonshl\ directory.


    Finally, also available is an update for the EZ5i internal loader. This is a new feature for the EZ5i only (earlier models of the EZ5 have no use for this) and as this is the first of the kind (outside beta releases) an explanation is necessary.
    For the EZ5i the EZTeam added the ability to update the very core of the cart (that is to say how the EZ5 interacts with the DS and the internal hardware, a feature they are claiming as unique among present flashcarts), this update aims to fix some problems with SDHC reading and fix detection of the EZ5i in the DSi a small number of users have had.
    To use simply extract the .nds file to the root of the card (the first directory as in e:\ or wherever your card reader puts the memory card) run it and follow the on screen instructions. Users are strongly advised to have a fully charged DS before undertaking this.

    [​IMG]EZFlash.cn thread (Chinese)
    [​IMG]EZFlash US forums
    [​IMG]EZ5 loader 1.90 open beta 9
    [​IMG]resetsp.bin update 11th March 2009

    ---Only for EZ5i users---
    [​IMG]EZ5i firmware update (11-03-2009)
    ---Only for EZ5i users---

    Thanks to ccosmos/Mbmax for the news.
     
  2. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    Thanks FAST for writting the news.
    Also i have seen a post on sosuke forum (when it was online) where a user said the EZ5i firmware fix the detection of his ez 3in1 and of course the rumble mode.
    To be confirmed of course. I don't own the ez5i only the ez 3in1. [​IMG]
     
  3. mercluke

    mercluke ‮҉

    Member
    3,163
    172
    Dec 2, 2007
    Perth
    great news, just updated the ezvi
    no noticeable difference
     
  4. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    If you were not impacted by the freezing problem, it's normal you have not noticied any changes. [​IMG]

    BTW, midicase from IRC chan report me that his ez 3in1 Plus works now on his EZ5i.
    This could explain why team cyclops has never been able to make the ez 3in1 Plus working even on EZ5 product. It was a bug with the EZ5i firmware.
    If they have only tested on EZ5i, it was "normal" ...
     
  5. Tanas

    Tanas GBAtemp Addict

    Member
    2,258
    25
    Aug 19, 2006
    As I expected the RTS is still useless.
     
  6. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
  7. Tanas

    Tanas GBAtemp Addict

    Member
    2,258
    25
    Aug 19, 2006
    Yep the never ending ezflash betas... got to love em.
     
  8. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    I prefer that than waiting for stable version. Don't you remember the time between the release of 1.41 and 1.60 ?
    I don't want to see that again ...
     
  9. Mbmax

    Mbmax Homebrew addicted

    Member
    2,274
    47
    Nov 7, 2006
    According to a post from windirt in sosuke forum, the final version of the kernel 1.90 is planed to integrate the new moonshell version 2.00.

    Just a reminder, current kernels are based on a modified moonshell version 1.71.